InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::ConnectionSettings Struct Reference

Connection Settings. More...

`#include <ConnectionSettings.h>`

Collaboration diagram for inertia::ConnectionSettings:
[legend]

## Public Member Functions
| ConnectionSettings ()
| ConnectionSettings (std::wstring const &name, ConnectionType const connType)
| ConnectionSettings (std::wstring const &argString)
const std::wstring | GetName () const
ConnectionType | GetConnectionType () const
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | reliableUnrouted
| Use the reliability protocol when sending data to unrouted devices (directly connected to a PC).
bool | logThread
| When logging data of this connection, do this in a separate thread.
unsigned | sourceID
| The ID to identify in the network, like gateway and nodeIDs.
unsigned | maxDataBuffer
| Maximum number of samples to buffer.
std::wstring | lastOpenedTime
| The last time the connection was (tried to) opened. Can be set by the user, it has no function inside the library.
unsigned | paddingMultiple
| When writing raw data, pad the bytes with '0' to a multiple of this value.
unsigned | reconnectInterval
| Interval in seconds after which to automatically try to reconnect after an error, 0 to disable.
bool | reconnectFirst
| Use the reconnectInterval when first opening the connection (default false).
unsigned | keepAliveInterval
| Interval in seconds for broadcasting a ping-message, 0 to disable.
SerialSettings | serialSettings
| Use a Serial USB Connection, see SerialSettings.
EthernetSettings | ethernetSettings
| Use an Ethernet Connection, see EthernetSettings.
ExternalConnSettings | externalConnSettings
| Use an External Connection, see ExternalConnSettings.
BLEConnSettings | bleConnSettings
| Use and Bluetooth LE Connection, see BLEConnSettings.

## Detailed Description

Connection Settings.

Class containing settings for a connection with an Inertia device.

## Constructor & Destructor Documentation

## ◆ ConnectionSettings() [1/3]

inertia::ConnectionSettings::ConnectionSettings | ( |  | ) |

Default constructor.

## ◆ ConnectionSettings() [2/3]

inertia::ConnectionSettings::ConnectionSettings | ( | std::wstring const & | name,
|  | ConnectionType const | connType )

Constructor with connection name and type.

Parameters

  name | the name of the connection
  connType | the ConnectionType

## ◆ ConnectionSettings() [3/3]

inertia::ConnectionSettings::ConnectionSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates ConnectionSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetConnectionType()

ConnectionType inertia::ConnectionSettings::GetConnectionType | ( |  | ) | const

Get the type of the connection.

Returns
  the type

## ◆ GetName()

const std::wstring inertia::ConnectionSettings::GetName | ( |  | ) | const

Get the name of the connection.

Returns
  the name

## ◆ GetOptionDescription()

const po::options_description inertia::ConnectionSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for ConnectionSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::ConnectionSettings::ToString | ( |  | ) | const

Get a string representation of this ConnectionSettings. The string is compatible with GetOptionDescription() and ConnectionSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- ConnectionSettings.h